#include <QGuiApplication>
#include <QtQml>
#include <QQmlEngine>
#include <QQuickWindow>

#include "Data.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QQmlEngine engine;
    QObject::connect(&engine, &QQmlApplicationEngine::quit, &app, &QCoreApplication::quit);

    auto * f = new Data();
    engine.rootContext()->setContextProperty("ddd", f);
    engine.globalObject().setProperty("ddd", engine.newQObject(f));

    QScopedPointer<QQmlComponent> rootComponent(new QQmlComponent(&engine, QUrl("Test.qml"), &engine));
    QQuickWindow *mainWindow = qobject_cast< QQuickWindow * >(rootComponent->create());

    mainWindow->showNormal();

    return app.exec();
}
